unit Udatav;

interface

uses
  SysUtils, Classes, DB, IBCustomDataSet, IBDatabase, IBQuery;

type
  TDatav = class(TDataModule)
    Basetest: TIBDatabase;
    Trbase: TIBTransaction;
    Dobchee: TIBDataSet;
    Sotv: TIBDataSet;
    Dotvet: TIBDataSet;
    DobcheeNID: TIntegerField;
    DobcheeDATA: TDateTimeField;
    DobcheeOTDEL: TIBStringField;
    DobcheeFIO: TIBStringField;
    DobcheeDOLCH: TIBStringField;
    SotvNIDOTV: TIntegerField;
    SotvNIDVOP: TIntegerField;
    SotvOTVET: TIBStringField;
    SotvPRAVDA: TSmallintField;
    DotvetNIDDOTV: TIntegerField;
    DotvetNIDMEN: TIntegerField;
    DotvetNIDVOP: TIntegerField;
    DotvetNIDOTV: TIntegerField;
    Dsdobchee: TDataSource;
    Dssosnv: TDataSource;
    Dssotv: TDataSource;
    Dsdotv: TDataSource;
    Sosnv: TIBDataSet;
    SosnvNIDOSNV: TIntegerField;
    SosnvVOPROS: TIBStringField;
    SosnvUROVEN: TSmallintField;
    Query1: TIBQuery;
    procedure SotvPRAVDAGetText(Sender: TField; var Text: String;
      DisplayText: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Datav: TDatav;

implementation

{$R *.dfm}

procedure TDatav.SotvPRAVDAGetText(Sender: TField; var Text: String;
  DisplayText: Boolean);
begin
if sotvpravda.Value=0 then text:='Ложь';
if sotvpravda.Value=1 then text:='Правда';
end;

end.
